# host_pinned – Executes tasks on each host without interruption

New in version 2.7.

- Synopsis

- Status

## Synopsis

- Task execution is as fast as possible per host in batch as defined by `serial` (default all). Ansible will not start a play for a host unless the play can be finished without interruption by tasks for another host, i.e. the number of hosts with an active play does not exceed the number of forks. Ansible will not wait for other hosts to finish the current task before queuing the next task for a host that has finished. Once a host is done with the play, it opens it’s slot to a new host that was waiting to start. Other than that, it behaves just like the “free” strategy.

## Status

- This strategy is not guaranteed to have a backwards compatible interface. [preview]

- This strategy is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.